## ros-foxy-rcl-logging-noop 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcl_logging_noop)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(rcutils REQUIRED)

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(${PROJECT_NAME}_sources
  src/rcl_logging_noop/rcl_logging_noop.cpp
)

if(NOT WIN32)
  add_library(${PROJECT_NAME} ${${PROJECT_NAME}_sources})
else()
  # TODO(nburek): There is an issue with build on Windows where it is looking for a static lib
  # and can't find it when trying to call find_package() for this package. This explicitly creates
  # it.
  add_library(${PROJECT_NAME} STATIC ${${PROJECT_NAME}_sources})
endif()

ament_target_dependencies(${PROJECT_NAME}
  rcutils
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)


ament_export_dependencies(ament_cmake)
ament_export_libraries(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-foxy-rcl-logging-noop (1.1.0-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-rcl-logging-noop (1.0.1-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Tue, 21 Jul 2020 07:00:00 -0000

ros-foxy-rcl-logging-noop (1.0.0-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rcl-logging-noop (0.4.0-1focal) focal; urgency=high

  * Fix CMake warnings about using uninitialized variables (#30 <https://github.com/ros2/rcl_logging/issues/30>)
  * Contributors: Dirk Thomas

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Fri, 24 Apr 2020 07:00:00 -0000

ros-foxy-rcl-logging-noop (0.3.3-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-rcl-logging-noop (0.3.2-1focal) focal; urgency=high

  * Enable linters for noop and log4cxx. (#12 <https://github.com/ros2/rcl_logging/issues/12>)
  * Contributors: Steven! Ragnarök

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Mon, 07 Oct 2019 07:00:00 -0000

ros-foxy-rcl-logging-noop (0.3.1-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Thu, 03 Oct 2019 07:00:00 -0000

ros-foxy-rcl-logging-noop (0.3.0-1focal) focal; urgency=high

  * remove unused 'dependencies' CMake variable (#16 <https://github.com/ros2/rcl_logging/issues/16>)
  * fix package.xml schema violations (#15 <https://github.com/ros2/rcl_logging/issues/15>)
  * Contributors: Mikael Arguedas

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-foxy-rcl-logging-noop (0.2.1-1focal) focal; urgency=high

  * Changing the default location for log files to be a local directory instead of /var/log/ros on linux due to permission issues. (#9 <https://github.com/ros2/rcl_logging/issues/9>)
  * Prototype to put things in ~/.ros/log
  * Change the API to add an allocator to logging initialize. (#10 <https://github.com/ros2/rcl_logging/issues/10>)
  * Contributors: Chris Lalancette, Steven! Ragnarök

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-rcl-logging-noop (0.2.0-1focal) focal; urgency=high



 -- Amazon B9 <amazon-b9-ros@amazon.com>  Sat, 09 Mar 2019 08:00:00 -0000

ros-foxy-rcl-logging-noop (0.1.0-1focal) focal; urgency=high

  * First release.
  * Contributors: Nick Burek, William Woodall

 -- Amazon B9 <amazon-b9-ros@amazon.com>  Fri, 07 Dec 2018 08:00:00 -0000

=== debian/control ===
Source: ros-foxy-rcl-logging-noop
Section: misc
Priority: optional
Maintainer: Amazon B9 <amazon-b9-ros@amazon.com>
Build-Depends: debhelper (>= 9.0.0), python3-empy, ros-foxy-ament-cmake-gmock, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-pytest, ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-launch-testing, ros-foxy-rcutils, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rcl-logging-noop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-rcutils, ros-foxy-ros-workspace
Description: An rcl logger implementation that doesn't do anything with log messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rcl-logging-noop//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
